### Hierarchy

- unknown
  - MoneroNodeSettings

## Index

### Constructors

- constructor

### Methods

- addStartupFlags
- clearStartupFlagsList
- getBlockchainPath
- getBootstrapUrl
- getStartupFlagsList
- serializeBinary
- setBlockchainPath
- setBootstrapUrl
- setStartupFlagsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MoneroNodeSettings(): MoneroNodeSettings

- Inherited from jspb.Message.constructor

  #### Returns MoneroNodeSettings

## Methods

### addStartupFlags

- addStartupFlags(value: string, index?: number): MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7739

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns MoneroNodeSettings

### clearStartupFlagsList

- clearStartupFlagsList(): MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7738

  #### Returns MoneroNodeSettings

### getBlockchainPath

- getBlockchainPath(): string

- - Defined in src/protobuf/pb_pb.d.ts:7730

  #### Returns string

### getBootstrapUrl

- getBootstrapUrl(): string

- - Defined in src/protobuf/pb_pb.d.ts:7733

  #### Returns string

### getStartupFlagsList

- getStartupFlagsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:7736

  #### Returns string[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7741

  #### Returns Uint8Array

### setBlockchainPath

- setBlockchainPath(value: string): MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7731

  #### Parameters

  - ##### value: string

  #### Returns MoneroNodeSettings

### setBootstrapUrl

- setBootstrapUrl(value: string): MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7734

  #### Parameters

  - ##### value: string

  #### Returns MoneroNodeSettings

### setStartupFlagsList

- setStartupFlagsList(value: string[]): MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7737

  #### Parameters

  - ##### value: string[]

  #### Returns MoneroNodeSettings

### toObject

- toObject(includeInstance?: boolean): MoneroNodeSettings . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7742

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MoneroNodeSettings . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7745

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MoneroNodeSettings

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MoneroNodeSettings, reader: BinaryReader): MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7746

  #### Parameters

  - ##### message: MoneroNodeSettings

  - ##### reader: BinaryReader

  #### Returns MoneroNodeSettings

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MoneroNodeSettings, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7744

  #### Parameters

  - ##### message: MoneroNodeSettings

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MoneroNodeSettings ): MoneroNodeSettings . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7743

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MoneroNodeSettings

  #### Returns MoneroNodeSettings . AsObject

Generated using TypeDoc